Name:           surf
Version:        0.6
Release:        %mkrel 6
Summary:        Simple web browser
Group:          Networking/WWW
License:        MIT
URL:            http://surf.suckless.org/
Source0:        http://dl.suckless.org/%{name}/%{name}-%{version}.tar.gz
# Icon from Sirko Kemter aka gnokii
Source1:        surf.svg
Patch0:		surf-0.6-buildfix.patch
Patch1:		surf-0.6-ca-certs.patch
Patch2:		surf-0.6-default-homepage.patch
BuildRequires:  webkitgtk-devel
Requires:       dmenu
Requires:	rootcerts
Requires:	xterm
Requires:	curl
Requires:	xprop

%description
surf is a simple web browser based on WebKit/GTK+.

%prep
%setup -q
%apply_patches

# don't rebuid at install time
sed -i 's/^install:\s*all/install:/' Makefile

%build
%setup_compile_flags
%make

%install
%makeinstall_std \
	PREFIX=%{_prefix}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cat >> %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=surf
Comment=small and simple browser
Categories=Network;GTK;WebBrowser;
Exec=surf
Icon=surf
Terminal=false
Type=Application
EOF

# desktop icon
install -Dm644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.6-6.mga6
+ Revision: 933059
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 748714
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 689623
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 529133
- Mageia 4 Mass Rebuild

* Fri Jul 05 2013 wally <wally> 0.6-2.mga4
+ Revision: 450329
- replace wget with curl

* Fri Jul 05 2013 wally <wally> 0.6-1.mga4
+ Revision: 450317
- new version 0.6
- add icon from Sirko Kemter aka gnokii (via Fedora)
- add patch to fix build
- add patch to fix ca-certs location
- add patch to set default home page
- clean .spec

  + dmorgan <dmorgan>
    - imported package surf


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4.1-2
- Rebuild against new version of webkitgtk

* Mon Jun 14 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4.1-1
- New upstream release

* Mon May 31 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.4-1
- New upstream release

* Tue Mar 23 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-3
- Patch DSO

* Sun Jan 17 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-2
- Output is verbose now

* Sun Jan 10 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3-1
- Initial package build
